export class Delta {
    deltaHandler(newValue) {
        if (!newValue) {
            return;
        }
        if (newValue < 0) {
            this.deltaDisplay = (newValue * -1).toString();
            this.positive = false;
            this.positiveColorScheme = !!this.netNegative;
        }
        else {
            this.deltaDisplay = newValue.toString();
            this.positive = true;
            this.positiveColorScheme = !this.netNegative;
        }
    }
    componentWillLoad() {
        this.deltaHandler(this.delta);
    }
    componentDidLoad() {
        this.anjDeltaDidLoad.emit();
    }
    deltaDisplayString() {
        return (this.deltaDisplay === 'Infinity') ? '' : `${this.deltaDisplay}% ${this.periodFormatter(this.period)}`;
    }
    periodFormatter(period) {
        switch (period) {
            case 0:
                return 'MoM';
            case 1:
                return 'YoY';
            case 2:
                return 'WoW';
            case 3:
                return 'DoD';
            default:
                return '';
        }
    }
    hostData() {
        return {
            'class': {
                'anj-delta-negative': !this.positiveColorScheme,
                'anj-has-data': !!this.delta
            }
        };
    }
    render() {
        return (this.delta && this.deltaDisplay) ? (h("span", null,
            this.positive ? h("i", { class: "z-icon-arrow-up" }) : h("i", { class: "z-icon-arrow-down" }),
            this.deltaDisplayString())) : undefined;
    }
    static get is() { return "anj-delta"; }
    static get properties() { return {
        "delta": {
            "type": Number,
            "attr": "delta",
            "watchCallbacks": ["deltaHandler"]
        },
        "netNegative": {
            "type": Boolean,
            "attr": "net-negative"
        },
        "period": {
            "type": Number,
            "attr": "period"
        }
    }; }
    static get events() { return [{
            "name": "anjDeltaDidLoad",
            "method": "anjDeltaDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
    static get style() { return "/**style-placeholder:anj-delta:**/"; }
}
