import { ChartD3Service } from '../../services/chart.d3.service';
export class StackedColumnSeries {
    dataHandler() {
        this.anjStackedColumnDidLoad.emit();
    }
    componentDidLoad() {
        this.anjStackedColumnDidLoad.emit();
    }
    async init(svg, x, y, data, index, dims) {
        this.color = this.color || ChartD3Service.colors[index || 0];
        const bars = ChartD3Service.addStackedColumn(svg, x, y, data, this.color);
        ChartD3Service.addStackedScrubbers(svg, x, data, dims, index);
        return Promise.resolve({ bars, color: this.color });
    }
    static get is() { return "anj-stacked-column-series"; }
    static get properties() { return {
        "color": {
            "type": String,
            "attr": "color",
            "mutable": true
        },
        "data": {
            "type": "Any",
            "attr": "data",
            "watchCallbacks": ["dataHandler"]
        },
        "element": {
            "elementRef": true
        },
        "init": {
            "method": true
        },
        "name": {
            "type": String,
            "attr": "name"
        },
        "netNegative": {
            "type": Boolean,
            "attr": "net-negative"
        }
    }; }
    static get events() { return [{
            "name": "anjStackedColumnDidLoad",
            "method": "anjStackedColumnDidLoad",
            "bubbles": true,
            "cancelable": true,
            "composed": true
        }]; }
}
