export const calculateAggregateData = (dataSet) => {
    const simpler = dataSet.map(d => d.data);
    const aggregateDataSet = [];
    simpler.forEach(s => {
        s.forEach((e, ind) => {
            if (!aggregateDataSet[ind]) {
                aggregateDataSet[ind] = { y: 0 };
            }
            aggregateDataSet[ind].x = e.x;
            aggregateDataSet[ind].y = aggregateDataSet[ind].y + e.y;
        });
    });
    return aggregateDataSet;
};
export const generateData = (sets = 1) => {
    const names = ['Apples', 'Oranges', 'Peaches', 'Bananas', 'Grapes'];
    const baseline = [
        { x: new Date(2016, 3, 1) },
        { x: new Date(2016, 4, 1) },
        { x: new Date(2016, 5, 1) },
        { x: new Date(2016, 6, 1) },
        { x: new Date(2016, 7, 1) },
        { x: new Date(2016, 8, 1) },
        { x: new Date(2016, 9, 1) },
        { x: new Date(2016, 10, 1) },
        { x: new Date(2016, 11, 1) },
        { x: new Date(2017, 0, 1) },
        { x: new Date(2017, 1, 1) },
        { x: new Date(2017, 2, 1) },
        { x: new Date(2017, 3, 1) }
    ];
    const basicData = [];
    for (let i = 0; i < sets; i++) {
        const test = {
            name: names[i],
            data: []
        };
        test.data = baseline.map((b) => {
            const multiplier = (i % 2 === 0) ? -1 : 1;
            return {
                x: b.x,
                y: Math.floor(Math.random() * 1001) * multiplier
            };
        });
        basicData.push(test);
    }
    return basicData;
};
