import { Selection } from '../d3-bundle';
import { Area, Line } from 'd3-shape';
import { CoordinateData } from '../interfaces/CoordinateData';
import { ScaleLinear } from 'd3-scale';
import { Dims } from '../interfaces/Dims';
import { AxisConfigs } from '../interfaces/AxisConfigs';
import { SeriesType } from '../interfaces/SeriesType';
export declare class ChartD3Service {
    static colors: string[];
    protected static animationLength: number;
    protected static focusLength: number;
    private static yPad;
    private static groupPadding;
    static addArea(svg: any, line: any, y: any, data: CoordinateData[], color: string): Area<any>;
    static addStackedColumn(svg: any, x: any, y: any, data: CoordinateData[], color: string): any;
    static addColumn(svg: any, x: any, x1: any, y: any, data: CoordinateData[], color: string, _dims: Dims, index: any): any;
    static addLine(svg: any, x: any, y: any, data: CoordinateData[], color: string): Line<any>;
    static addOverlay(svg: any, dims: Dims): SVGRectElement;
    static addPoints(svg: any, x: any, y: any, data: CoordinateData[], color: string, index: any): void;
    static addRevealAnimation(svg: any, dims: Dims, axisConfigs: AxisConfigs): SVGRectElement;
    static addStackedScrubbers(svg: any, x: any, data: CoordinateData[], dims: any, index: any): void;
    static addScrubbers(svg: any, x: any, data: CoordinateData[], dims: any, index: any): void;
    static getX1(x: any, data: any, multiSeries: any): any;
    static addXAxis(svg: any, dims: any, data: any, axisConfigs: AxisConfigs, _minMax: any, primarySeries: any): any;
    static axisTyper(type: SeriesType, data: any, dims: any): any;
    static calculatePadding(data: any[], dims: any): number;
    static addYAxis(svg: any, dims: any, data: CoordinateData[], axisConfigs: AxisConfigs, minMax?: {
        min: number;
        max: number;
    }): ScaleLinear<number, number>;
    static createSVG(dims: Dims): Selection<SVGGElement, any, SVGElement, any>;
    static getIndexOfClosestPoint(x: any, data: any): number;
    static hideFocus(svg: any): void;
    static showFocus(svg: any, activeIndex: any): void;
    private static calculateLeftPad;
    private static calculateTicks;
    static formatDataAsStacked(rawData: any): import("d3-shape").Series<{
        [key: string]: number;
    }, string>[];
    static seriesAsStackFormat(series: any[]): any;
    static stackOffsetDiverging(series: any, seriesOrder: number[]): void;
}
